Bug 1792436 - Review Request: php-laminas-modulemanager - Laminas Framework ModuleManager component
Summary: Review Request: php-laminas-modulemanager - Laminas Framework ModuleManager c...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1792281 1792434
Blocks: 1792439
TreeView+ depends on / blocked
 
Reported: 2020-01-17 16:26 UTC by Remi Collet
Modified: 2020-01-27 11:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-27 11:58:19 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Remi Collet 2020-01-17 16:26:46 UTC
Spec URL: https://git.remirepo.net/cgit/rpms/php/laminas/php-laminas-modulemanager.git/plain/php-laminas-modulemanager.spec?id=145a80bd619ec169d802efc4f975407613a4b09b
SRPM URL: http://rpms.remirepo.net/SRPMS/php-laminas-modulemanager-2.8.4-1.remi.src.rpm
Description: 
Laminas Framework introduces a new and powerful approach to modules.
This new module system is designed with flexibility, simplicity, and
re-usability in mind. A module may contain just about anything:
PHP code, including MVC functionality; library code; view scripts;
and/or public assets such as images, CSS, and JavaScript.
The possibilities are endless.

Laminas\ModuleManager is the component that enables the design of a module
architecture for PHP applcations.

Documentation: https://docs.laminas.dev/laminas-modulemanager/



Fedora Account System Username: remi

Comment 1 Robert-André Mauchin 2020-01-24 19:19:08 UTC
 - Typo in description:

php-laminas-modulemanager.src: W: spelling-error %description -l en_US applcations -> applications, application, supplication

It was fixed upstream: https://github.com/laminas/laminas-modulemanager/commit/11a2888fc27209d6eca0cfa90aa50c99114819c9#diff-04c6e90faac2675aa89e2176d2eec7d8

 - Bump release:

Version:        2.8.4
Release:        2%{?dist}

[…]

* Wed Jan 15 2020 Remi Collet <remi@remirepo.net> - 2.8.4-2
- switch to Laminas
- bootstrap build without laminas-mvc

* Mon Oct 28 2019 Remi Collet <remi@remirepo.net> - 2.8.4-1
- update to 2.8.4



 - License ok
 - Latest version packaged
 - Builds in mock
 - Tests are ok
 - Conforms to Packaging Guidelines

Package approved. Please fix the aforementioned issues before import.

Comment 2 Gwyn Ciesla 2020-01-25 14:50:59 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-laminas-modulemanager

Comment 3 Remi Collet 2020-01-27 11:58:19 UTC
> - Typo in description:

Fixed

Thanks

Built


Note You need to log in before you can comment on or make changes to this bug.